---
- block:

  - name: Install Zoom dependencies
    apt:
      name: libxcb-xtest0
      cache_valid_time: "{{ apt_cache_valid_time }}"

  - name: Install Zoom
    # Zoom is downloaded from https://zoom.us/client/latest/zoom_amd64.deb
    # Find package info with `dpkg-deb -I zoom_amd64.deb` and post it to the RSI area of artifactory.
    http_deb:
      name: zoom
      version: "5.2.440215.0803"
      url: "https://artifactory.zooxlabs.com/artifactory/RSI/zoom/zoom_amd64_5.2.440215.0803.deb"
      checksum: "sha256:62ed9d7814303bbabc8723206e0c3ac1e6b771ce7ff5608ee57572993ba5a966"

  become: yes
